#!/bin/bash

hostname=`hostname`
pid=$$

################################################################################
# Check argmensts
if [ ${#} != 8 ]
then
	echo "Usage: ${0} [len_rsrfs] [fpath_rsrfs] [x_pixel_begin] [x_pixel_end] [y_line_begin] [y_line_end] [dataname] [output_file]"
	exit 1
fi
len_rsrfs=${1}
fpath_rsrfs=${2}
x_pixel_begin=${3}
x_pixel_end=${4}
y_line_begin=${5}
y_line_end=${6}
dataname=${7}
output_file=${8}
data_type=1

#echo "Data_type of extracted_layer=${data_type}"
echo "Number_of_files=${len_rsrfs}"
echo "Fpath_rsrfs=${fpath_rsrfs}"
echo "x_pixel begin from: ${x_pixel_begin}"
echo "x_pixel end at: ${x_pixel_end}"
echo "y_line begin from: ${y_line_begin}"
echo "y_line end at: ${y_line_end}"
echo "Dataname_to_extract: ${dataname}"
echo "Output_text_file: ${output_file}"
### fpath_rsrfs = "Path of input files to be processed"
### output_file = "Output file and path of directory"

dpath_out=`dirname ${output_file}`
bname_out=`basename ${output_file} .txt`
count=0
#while IFS= read -r line || [ -n "${line}" ]
#do
#	yyyy=`echo ${line} | awk -F 'GC1SG1_' '{print $2}' | cut -c1-4`
#	mmdd=`echo ${line} | awk -F 'GC1SG1_' '{print $2}' | cut -c5-8`
#	echo "${yyyy},${mmdd}" >> ${dpath_out}/${bname_out}_date.txt
#	count=$((${count}+1))
#	if [ ${count} -gt ${len_rsrfs} ] ;then
#		break		
#	fi
#done < ${fpath_rsrfs} 

########################################
# Read the data of "fpath_rsrfs" and save them in "output_file"
if [ ${data_type} = 1 ];then
	extract=`echo "./extract_value_image16u_20231010"`
#elif [ ${data_type} = 2 ];then
#	extract=`echo "./extract_value_geo16s"`
#elif [ ${data_type} = 3 ];then
#	extract=`echo "./extract_value_image16u_v2"`
#elif [ ${data_type} = 4 ];then
#	extract=`echo "./extract_value_image16u_v2K"`
#elif [ ${data_type} = 5 ];then
#	extract=`echo "./src/extract_value_image16u_ltoaq"`
#elif [ ${data_type} = 11 ];then
#	extract=`echo "./extract_value_MCD43A1_parameters"`
#elif [ ${data_type} = 12 ];then
#	extract=`echo "./extract_value_MCD43A1_quality"`
#elif [ ${data_type} = 13 ];then
#	extract=`echo "./extract_value_MCD15A_and_SGLI_500mAVE"`
#elif [ ${data_type} = 21 ];then
#	extract=`echo "./extract_value_MCD15A3H_hdf4_500m"`
else
	echo "data type fault"
	exit 1
fi

echo "Output:   ${dataname}" > ${output_file}

${extract} ${len_rsrfs} ${fpath_rsrfs} ${x_pixel_begin} ${x_pixel_end} ${y_line_begin} ${y_line_end} ${dataname} >> ${output_file}

# "Global_attributes,Product_file_name,value"




